Subject: [TR] MRT-International

From: John Macartney <[email-masked]>
Date: Thu, 2 Mar 2023 22:26:15 +0000

David,

I’m UK based and know a lot about U.K. business law and best practice.

I’ve looked at this company’s website and I’m a bit cautious for what it doesn’t tell me. I’ll elaborate.

It’s becoming more common for U.K. registered businesses to have a Company number and sales tax reference on their websites. These numbers allow anyone to access a place called Companies House via a U.K. GOVERNMENT portal and look up the company that interests them. Info you can obtain shows annual turnover, the company taxation status and whether they been naughty boys and not got an acceptable track record on sales tax payments. You can do the search using the Company number or typing in the company name. As I don’t have a Company number I could only search by typing in the name in various formats and I got a zero response to all my attempts.

Looking at their U.K. ADDRESSES suggests the business has some substance in monetary terms as I know the locations in question. That didn’t leave me feeling very comfortable but maybe I’m just suspicious? To be in their line of business, I’d concentrate my U.K. office somewhere very close to a major seaport and international airport, so that means London. Yes, they do have an office there but not where I’d locate it.

Looking at the Rogues Gallery of people running this outfit, most of them appear to be Turkish or certainly East European. That doesn’t make me feel too comfortable either and don’t anyone try to play the racism card! :)

Then we look at their other operations and it appears the only other place where they have an office is Berlin!!!!! Ye gods, every business person in Europe knows the best place to ship anything by air or sea and deal with money at the same time is Rotterdam in Holland - not bloody Berlin! Let’s face it, the Dutch are ace at international business, always have been and are continually running circles round the Brits, Germans, French and Italians.

While I can’t say I’ve found anything to MRTs discredit they’re making it very difficult for anyone to learn more about them.

Is there anything further I might do to help you in your dilemma?

Cheers, Jonmac

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]